# EndCardPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EndCardPhase

#### Hierarchy (View Summary)

- Phase
  - EndCardPhase

- Defined in src/phases/end-card-phase.ts:7

##### Index

### Constructors

constructor

### Properties

endCard
text

### Methods

end
start

## Constructors

### constructor

- new EndCardPhase(): EndCardPhase

  #### Returns EndCardPhase

  Inherited from Phase.constructor

## Properties

### endCard

endCard: Image

- Defined in src/phases/end-card-phase.ts:8

### text

text: Text

- Defined in src/phases/end-card-phase.ts:9

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/end-card-phase.ts:10